Skip to content
Справочник APIPlatformProject.settings

Update project settings

Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.

PUT
/platform/v1/project/settings

The project Owner (or a global SuperAdmin via the D-006 bypass) can configure machine authorization and other project-scoped device settings.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Request Body

application/json

Project-level device authorization and lifecycle settings.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/platform/v1/project/settings" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \  -H "Content-Type: application/json" \  -d '{    "ephemeral_cleanup_minutes": 5,    "machine_auth_policy": "manual",    "node_key_grace_period_minutes": 5,    "node_key_lifetime_days": 90  }'
{  "ephemeral_cleanup_minutes": 5,  "machine_auth_policy": "manual",  "node_key_grace_period_minutes": 5,  "node_key_lifetime_days": 90,  "project_id": "11111111-1111-1111-1111-111111111111",  "updated_at": "2026-04-22T12:00:00Z"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}